org.richfaces.ui.input.inplaceInput

## Enum UIInplaceInput.Properties

- java.lang.Object
- - java.lang.Enum<UIInplaceInput.Properties>
  - - org.richfaces.ui.input.inplaceInput.UIInplaceInput.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIInplaceInput.Properties>
  Enclosing class:
    UIInplaceInput

      protected static enum UIInplaceInput.Properties
      extends Enum<UIInplaceInput.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `activeClass`
    `changedClass`
    `defaultLabel`
    `disabled`
    `disabledClass`
    `editEvent`
    `inputWidth`
    `onblur`
    `onchange`
    `onclick`
    `ondblclick`
    `onfocus`
    `oninputclick`
    `oninputdblclick`
    `oninputkeydown`
    `oninputkeypress`
    `oninputkeyup`
    `oninputmousedown`
    `oninputmousemove`
    `oninputmouseout`
    `oninputmouseover`
    `oninputmouseup`
    `oninputselect`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `saveOnBlur`
    `showControls`
    `state`
    `style`
    `styleClass`
    `tabindex`
    `title`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIInplaceInput.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIInplaceInput.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### activeClass

          public static final UIInplaceInput.Properties activeClass

    - #### changedClass

          public static final UIInplaceInput.Properties changedClass

    - #### defaultLabel

          public static final UIInplaceInput.Properties defaultLabel

    - #### disabled

          public static final UIInplaceInput.Properties disabled

    - #### disabledClass

          public static final UIInplaceInput.Properties disabledClass

    - #### editEvent

          public static final UIInplaceInput.Properties editEvent

    - #### inputWidth

          public static final UIInplaceInput.Properties inputWidth

    - #### onblur

          public static final UIInplaceInput.Properties onblur

    - #### onchange

          public static final UIInplaceInput.Properties onchange

    - #### onclick

          public static final UIInplaceInput.Properties onclick

    - #### ondblclick

          public static final UIInplaceInput.Properties ondblclick

    - #### onfocus

          public static final UIInplaceInput.Properties onfocus

    - #### oninputclick

          public static final UIInplaceInput.Properties oninputclick

    - #### oninputdblclick

          public static final UIInplaceInput.Properties oninputdblclick

    - #### oninputkeydown

          public static final UIInplaceInput.Properties oninputkeydown

    - #### oninputkeypress

          public static final UIInplaceInput.Properties oninputkeypress

    - #### oninputkeyup

          public static final UIInplaceInput.Properties oninputkeyup

    - #### oninputmousedown

          public static final UIInplaceInput.Properties oninputmousedown

    - #### oninputmousemove

          public static final UIInplaceInput.Properties oninputmousemove

    - #### oninputmouseout

          public static final UIInplaceInput.Properties oninputmouseout

    - #### oninputmouseover

          public static final UIInplaceInput.Properties oninputmouseover

    - #### oninputmouseup

          public static final UIInplaceInput.Properties oninputmouseup

    - #### oninputselect

          public static final UIInplaceInput.Properties oninputselect

    - #### onkeydown

          public static final UIInplaceInput.Properties onkeydown

    - #### onkeypress

          public static final UIInplaceInput.Properties onkeypress

    - #### onkeyup

          public static final UIInplaceInput.Properties onkeyup

    - #### onmousedown

          public static final UIInplaceInput.Properties onmousedown

    - #### onmousemove

          public static final UIInplaceInput.Properties onmousemove

    - #### onmouseout

          public static final UIInplaceInput.Properties onmouseout

    - #### onmouseover

          public static final UIInplaceInput.Properties onmouseover

    - #### onmouseup

          public static final UIInplaceInput.Properties onmouseup

    - #### saveOnBlur

          public static final UIInplaceInput.Properties saveOnBlur

    - #### showControls

          public static final UIInplaceInput.Properties showControls

    - #### state

          public static final UIInplaceInput.Properties state

    - #### style

          public static final UIInplaceInput.Properties style

    - #### styleClass

          public static final UIInplaceInput.Properties styleClass

    - #### tabindex

          public static final UIInplaceInput.Properties tabindex

    - #### title

          public static final UIInplaceInput.Properties title

  - ### Method Detail

    - #### values

          public static UIInplaceInput.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIInplaceInput.Properties c : UIInplaceInput.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIInplaceInput.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.